Debian Bug report logs - #616696
publican: failing t/perlcritic.t test

version graph

Package: src:publican; Maintainer for src:publican is Mikhail Gusarov <dottedmag@debian.org>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Sun, 6 Mar 2011 18:24:02 UTC

Severity: serious

Found in version publican/2.5-1

Fixed in version publican/2.5-2

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.redhat.com/show_bug.cgi?id=684509

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#616696; Package src:publican. (Sun, 06 Mar 2011 18:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Mikhail Gusarov <dottedmag@debian.org>. (Sun, 06 Mar 2011 18:24:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: publican: failing t/perlcritic.t test
Date: Sun, 06 Mar 2011 19:20:14 +0100
[Message part 1 (text/plain, inline)]
Source: publican
Version: 2.5-1
Severity: serious
Justification: FTBFS
User: debian-perl@lists.debian.org

Hi!

publican 2.5-1 fails during build in t/perlcritic.t fest:

> #   Failed test 'Test::Perl::Critic for "blib/script/publican"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/script/publican":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 717, column 9.  (Severity: 5)
> 
> #   Failed test 'Test::Perl::Critic for "blib/lib/Publican/Builder.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/lib/Publican/Builder.pm":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 1678, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 1827, column 13.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 2042, column 5.  (Severity: 5)
> 
> #   Failed test 'Test::Perl::Critic for "blib/lib/Publican/CreateBook.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/lib/Publican/CreateBook.pm":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 375, column 9.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 402, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 413, column 5.  (Severity: 5)
> 
> #   Failed test 'Test::Perl::Critic for "blib/lib/Publican/CreateBrand.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/lib/Publican/CreateBrand.pm":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 126, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 244, column 9.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 312, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 363, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 369, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 423, column 9.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 529, column 5.  (Severity: 5)
> 
> #   Failed test 'Test::Perl::Critic for "blib/lib/Publican/Translate.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/lib/Publican/Translate.pm":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 193, column 5.  (Severity: 5)
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 689, column 5.  (Severity: 5)
> 
> #   Failed test 'Test::Perl::Critic for "blib/lib/Publican/XmlClean.pm"'
> #   at /usr/share/perl5/Test/Perl/Critic.pm line 110.
> # 
> # Perl::Critic found these violations in "blib/lib/Publican/XmlClean.pm":
> # [InputOutput::RequireEncodingWithUTF8Layer] I/O layer ":utf8" used at line 653, column 9.  (Severity: 5)
> # Looks like you failed 6 tests of 10.
> t/perlcritic.t ................ 
> Dubious, test returned 6 (wstat 1536, 0x600)
> Failed 6/10 subtests 
> t/pod-coverage.t .............. ok
> t/pod.t ....................... ok
> 
> Test Summary Report
> -------------------
> t/perlcritic.t              (Wstat: 1536 Tests: 10 Failed: 6)
>   Failed tests:  2-5, 7, 10
>   Non-zero exit status: 6
> Files=10, Tests=70, 112 wallclock secs ( 0.19 usr  0.04 sys + 117.80 cusr  2.49 csys = 120.52 CPU)
> Result: FAIL
> Failed 1/10 test programs. 6/70 subtests failed.
> dh_auto_test: perl Build test returned exit code 255
> make: *** [build] Error 2
> dpkg-buildpackage: error: debian/rules build gave error exit status 2

I attach the full build log.

Bests
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash
[publican_2.5-1_amd64.build (text/plain, attachment)]

Information forwarded to Mikhail Gusarov <dottedmag@debian.org>:
Bug#616696; Package src:publican. (Sun, 06 Mar 2011 18:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Sun, 06 Mar 2011 18:33:03 GMT) Full text and rfc822 format available.

Message #10 received at 616696-maintonly@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 616696-maintonly@bugs.debian.org
Subject: Forgotten to compress log
Date: Sun, 6 Mar 2011 19:29:26 +0100
[Message part 1 (text/plain, inline)]
Mikhail, Raphaël 

I'm sorry I forgott to compress the log. 

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#616696; Package src:publican. (Sun, 13 Mar 2011 08:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Sun, 13 Mar 2011 08:03:03 GMT) Full text and rfc822 format available.

Message #15 received at 616696@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 616696@bugs.debian.org
Subject: Re: Bug#616696: publican: failing t/perlcritic.t test
Date: Sun, 13 Mar 2011 08:57:43 +0100
forwarded 616696 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616696
thanks

On Sun, 06 Mar 2011, Salvatore Bonaccorso wrote:
> publican 2.5-1 fails during build in t/perlcritic.t fest:

Looks like this is the consequence of the upgrade of Perl::Critic to
1.113.

I have submitted the bug upgstream. An easy work-around is to drop the
test-suite in the mean time. But since this version has already migrated
to testing there's no urgency to work-around it. I'll wait for a proper fix.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Set Bug forwarded-to-address to 'http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616696'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 13 Mar 2011 08:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mikhail Gusarov <dottedmag@debian.org>:
Bug#616696; Package src:publican. (Sun, 13 Mar 2011 08:25:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Mikhail Gusarov <dottedmag@debian.org>. (Sun, 13 Mar 2011 08:25:13 GMT) Full text and rfc822 format available.

Message #22 received at 616696@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>, 616696@bugs.debian.org
Subject: Re: Bug#616696: publican: failing t/perlcritic.t test
Date: Sun, 13 Mar 2011 09:14:02 +0100
forwarded 616696 https://bugzilla.redhat.com/show_bug.cgi?id=684509
thanks

On Sun, 13 Mar 2011, Raphael Hertzog wrote:
> forwarded 616696 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616696

Oops, with the correct address this time.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Changed Bug forwarded-to-address to 'https://bugzilla.redhat.com/show_bug.cgi?id=684509' from 'http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=616696' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sun, 13 Mar 2011 08:25:17 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Sat, 19 Mar 2011 16:33:11 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Sat, 19 Mar 2011 16:33:11 GMT) Full text and rfc822 format available.

Message #29 received at 616696-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 616696-close@bugs.debian.org
Subject: Bug#616696: fixed in publican 2.5-2
Date: Sat, 19 Mar 2011 16:31:23 +0000
Source: publican
Source-Version: 2.5-2

We believe that the bug you reported is fixed in the latest version of
publican, which is due to be installed in the Debian FTP archive:

publican_2.5-2.debian.tar.gz
  to main/p/publican/publican_2.5-2.debian.tar.gz
publican_2.5-2.dsc
  to main/p/publican/publican_2.5-2.dsc
publican_2.5-2_all.deb
  to main/p/publican/publican_2.5-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 616696@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated publican package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 19 Mar 2011 15:28:36 +0100
Source: publican
Binary: publican
Architecture: source all
Version: 2.5-2
Distribution: unstable
Urgency: low
Maintainer: Mikhail Gusarov <dottedmag@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 publican   - Tool for publishing material authored in DocBook XML
Closes: 616696
Changes: 
 publican (2.5-2) unstable; urgency=low
 .
   * Backport upstream patch to cope with latest Perl::Critic.
     Closes: #616696
Checksums-Sha1: 
 86c8bc9e8e3f638dc3eb5c5976a68cf4370894e2 2292 publican_2.5-2.dsc
 5c82fe3525e15340e8750e48ff9142899cc9d4af 6907 publican_2.5-2.debian.tar.gz
 ab222af568aa829e858f069148e35697fa58d953 2085978 publican_2.5-2_all.deb
Checksums-Sha256: 
 8dbcfe506033fa0d9068b4f6fea887f861fb034b251f23f6cccea7d17e193f90 2292 publican_2.5-2.dsc
 54dc6d832efbd8f43f3f43613cc6609d4541407165f75b1f2e3bd89ced21b3d2 6907 publican_2.5-2.debian.tar.gz
 67985801815228532416dbff4eda4017e0aa88afff3e1e9e5afe96ce29f32f7e 2085978 publican_2.5-2_all.deb
Files: 
 b57a8162754cd3aca99d702ff92e6b29 2292 perl optional publican_2.5-2.dsc
 8b7388ac01e4e963a9229c6cde2e09c3 6907 perl optional publican_2.5-2.debian.tar.gz
 6dfb02387d9b31d6752e96a0664508da 2085978 perl optional publican_2.5-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQEcBAEBCAAGBQJNhMI/AAoJEAOIHavrwpq5tO8IAIAC5AKzmjdw2SgoZnOqbKCv
h/1rAKp5K748ubkwpe82ReKqHDEDUiZlYr5qCCTMBEyUEW8EqFGOlMuxgI1PoWTv
OXCH22IMvejS1aNelHtkEe+XGCzfU8rjnHBIaFYZjAUMilMVh2hm2AZOQOPUdH4f
wIRGlKIKm2AOjUhF8kA5IaAArUgCLdKjHD+Nm7A+0HU1HcrIaZ86Wo6AuJcv0/s2
hjIM2FtqpTennyn3c/oC0AGIuO+Ycu4Qs5obXtVq9NTTcf3Xel0S2xmoK3oGvlF+
jwXe/JIXwDNQF+kr0VFVIvI2FxD14Ci0mF6IWsqlBx4aItqiuAzFqg+lL+e1q5s=
=FPHk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Apr 2011 07:37:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:17:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.